Subject: [79attendees] Best Service - China Mobile and buy a sim card

From: Hui Deng <[email-masked]>
Date: Sun, 7 Nov 2010 08:20:24 +0800

Hello, all

I feel people has expereinced lots of issue to buy a sim card from China
Unicom and China Telecom
I would assume that China Mobile office could speak english and has best
service over there,

you could find price instruction clearly from
http://www.ietf79.cn/uploadfile/2010/1022/20101022084133427.pdf
 but you may not find them from other two operators easily
And China Mobile offer special number you could dial for international call
as well,
and you got instruction how much money you left in your card easily as well.

Enclosed shows map more closer, you only need cross bridge once to the east
direction.
that walker bridge has been discussed long time in the list.

good luck

-Hui